Bug 734710 - Register RHN satellite will fail if RHN satellite password include space.
Summary: Register RHN satellite will fail if RHN satellite password include space.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node
Version: 5.8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 5.8
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 08:35 UTC by cshao
Modified: 2016-04-26 16:36 UTC (History)
9 users (show)

Fixed In Version: ovirt-node-1.0-81.el5
Doc Type: Bug Fix
Doc Text:
Hypervisor registration to RHN Satellite previously always failed if the user's password contained a space. As of this update RHN Satellite passwords which contain spaces are handled correctly, allowing these users to successfully register their Hypervisors.
Clone Of:
Environment:
Last Closed: 2012-02-21 05:04:33 UTC


Attachments (Terms of Use)
up2date (2.79 KB, text/plain)
2011-08-31 08:35 UTC, cshao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0168 normal SHIPPED_LIVE Important: rhev-hypervisor5 security and bug fix update 2012-02-21 10:01:32 UTC

Description cshao 2011-08-31 08:35:50 UTC
Created attachment 520763 [details]
up2date

Description of problem:
Register RHN satellite will fail if RHN satellite password include space.

Version-Release number of selected component (if applicable):
rhev-hypervisor-5.7-20110824.0.el5_7

How reproducible:
100%

Steps to Reproduce:
1. Set RHN satellite password include space (e.g. 123qwe!@# there is a space in initialrow).
2. Register RHEVH to RHN satellite.
3.
  
Actual results:
Register RHN satellite will fail if RHN satellite password include space.


ovirt.log
=============================
1) Register to public RHN
2) Register to RHN Satellite
3) Return to menu
Choose an option: 2

Enter URL of RHN Satellite (ie. https://satellite.example.com): https://10.66.73.127                             

Enter location of satellite cert (https://10.66.73.127/pub/RHN-ORG-TRUSTED-SSL-CERT): https://10.66.73.127/pub/RHN-ORG-TRUSTED-SSL-CERT

Enter RHN account username: cshao@redhat.com

Enter password for RHN account: 
Enter profile name for this system (optional): 

Enter HTTP proxy in host:port format, e.g. proxy.example.com:3128 (leave blank if not required): 
Downloading Satellite CA cert.....
From: https://10.66.73.127/pub/RHN-ORG-TRUSTED-SSL-CERT To: /etc/sysconfig/rhn/RHN-ORG-TRUSTED-SSL-CERT
File already persisted: /etc/sysconfig/rhn/RHN-ORG-TRUSTED-SSL-CERT

Registering to RHN account.....
An error has occurred:

Error Class Code: 3
Error Class Info: This login is already taken, or the password is incorrect.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

See /var/log/up2date for more information
Error registering to RHN account!


Expected results:
Register RHN satellite can successful when RHN satellite password include space.



Additional info:
Register RHN satellite can succeed when RHN satellite password include space or special characters.

Pass:
[123qwe
]123qwe 
{123qwe
}123qwe
:123qwe
,123qwe
.123qwe
/123qwe
?123qwe
~123qwe
!123qwe
%123qwe
^123qwe
*123qwe
@123qwe
(123qwe
)123qwe
;123qwe
"123qwe
<123qwe
">123qwe"
#123qwe
$123qwe
&123qwe
~!@#$%^&*()_+qwe
{}|:"<>?123qwe
~!@#$%^&*()_+{}|:"<>?qwe
-=[]\;',./`qwe

Comment 1 cshao 2011-08-31 08:43:33 UTC
There is a related bug in 6.2.
https://bugzilla.redhat.com/show_bug.cgi?id=732429

Comment 10 Mike Burns 2012-01-13 00:34:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Registration to Satellite would fail if the user's password contained a space.  The handling of password now respects a space being included.

Comment 11 Guohua Ouyang 2012-01-21 02:07:59 UTC
Verified on 5.8-20120118.0 build, register to RHN Satellite with a password include space is successfully.

Comment 12 Stephen Gordon 2012-02-09 21:40:15 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Registration to Satellite would fail if the user's password contained a space.  The handling of password now respects a space being included.+Hypervisor registration to RHN Satellite previously always failed if the user's password contained a space. As of this update RHN Satellite passwords which contain spaces are handled correctly, allowing these users to successfully register their Hypervisors.

Comment 13 errata-xmlrpc 2012-02-21 05:04:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0168.html


Note You need to log in before you can comment on or make changes to this bug.